package com.yizhi.wechat.application.feign;

import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestParam;

/**
 * @ClassName AccessTokenController
 * @Description TODO
 * @Author shengchenglong
 * @DATE 2020/11/25 22:42
 * @Version 1.0
 */
@FeignClient(name = "wechat", contextId = "AccessTokenClient")
public interface AccessTokenClient {

    @GetMapping("weixin/accessToken/get")
    String getAccessToken(@RequestParam("appId") String appId);
}
