package com.yizhi.wechat.application.vo.wechat;

import com.baomidou.mybatisplus.activerecord.Model;
import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.annotations.TableName;
import com.baomidou.mybatisplus.enums.FieldFill;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 
 * </p>
 *
 * @author lilingye
 * @since 2018-7-30
 */
@Data
@Api(tags = "PublicPlatformConfig", description = "")
public class PublicPlatformConfigVO {

    @ApiModelProperty(value = "公众号名称")
	private String name;

    @ApiModelProperty(value = "公众号类型 0：企业服务号，1微信服务号")
	private String type;

    @ApiModelProperty(value = "秘钥")
	private String appId;

    @ApiModelProperty(value = "秘钥（公众号服务APPsecret和企业服务CorpSecret）")
	private String secret;

    @ApiModelProperty(value = "企业应用的id")
	private String agentId;

    @ApiModelProperty(value = "0 不增加新用户, 1 增加新用户到系统")
    private Integer isAddedUser;

    @ApiModelProperty(value = "站点code")
    private String siteCode;

    @ApiModelProperty(value = "企业code")
    private String companyCode;

    @ApiModelProperty(value = "url")
    private String url;
}
