package com.yizhi.wechat.application.vo.wechat;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 接口返回vo
 *
 * @author lingye
 * @date 2020年1月3日
 */
@Data
public class MiniProgramVo {
    @ApiModelProperty(value = "小程序用户的openId")
    private String openId;

    @ApiModelProperty(value = "小程序用户的unionId")
    private String unionId;

    @ApiModelProperty(value = "用户id")
    private Long accountId;

    @ApiModelProperty(value = "是否跳转到")
    private Boolean ret;

    @ApiModelProperty(value = "返回code")
    private String code;

    @ApiModelProperty(value = "返回msg")
    private String msg;

}
