package com.yizhi.application.service;

import com.yizhi.application.domain.SuiteTicket;
import com.baomidou.mybatisplus.service.IService;

/**
 * <p>
 * 第三方应用suite_ticket 表 服务类
 * </p>
 *
 * @author lingye
 * @since 2020-08-05
 */
public interface ISuiteTicketService extends IService<SuiteTicket> {
    /**
     * 保存/更新 suite_ticket
     * @param suiteTicket
     * @return
     */
    Boolean saveOrUpdateSuiteTicket(SuiteTicket suiteTicket);

    /**
     * 获取suiteTicket
     * @param suiteId
     * @return
     */
    SuiteTicket getSuiteTicketById(String suiteId);

}
